List orders for the authenticated user
curl --request GET \
--url https://sandbox.elementpay.net/orders/me \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.elementpay.net/orders/me"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.elementpay.net/orders/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Orders fetched (2)",
"data": [
{
"order_id": "95531bef5c8a3997d61f672193b73c458455b3d1649f37ec356e9db45676bc3c",
"status": "PENDING",
"amount_crypto": 0.07536,
"amount_fiat": 10,
"currency": "KES",
"exchange_rate": 132.6965,
"token": "BASE_USDC(Testnet)",
"file_id": "EPay-95531bef5c",
"phone_number": "254712345678",
"creation_transaction_hash": "c69b5efb9852adcad851b8a7d778f922151a655d3cf04ebbc239202423bac6e6",
"order_type": "OnRamp",
"wallet_address": "0x4f07419e6bfccf8d256e8ef803cc2653dfbb9558",
"created_at": "2025-08-13T04:38:34.976Z"
},
{
"order_id": "a1b2c3d4e5f6...",
"status": "SETTLED",
"amount_crypto": 5,
"amount_fiat": 650,
"currency": "KES",
"exchange_rate": 130,
"token": "BASE_USDC(Testnet)",
"invoice_id": "INV-12345",
"creation_transaction_hash": "0xabc...",
"settlement_transaction_hash": "0xdef...",
"order_type": "OffRamp",
"wallet_address": "0x4f07419e6bfccf8d256e8ef803cc2653dfbb9558",
"created_at": "2025-08-10T10:00:00.000Z",
"updated_at": "2025-08-10T10:30:00.000Z"
}
]
}Order Endpoints
List my orders
GET
/
orders
/
me
List orders for the authenticated user
Use this to power your “My Orders” screen.
Filters
status(enum): pending, failed, settled, settled_unverified, refundedorder_type(enum): onramp, offramplimit(default 50, max 200)offset(default 0)
limit and offset for offset-based pagination. For example, page 2 with page size 50 ⇒ limit=50&offset=50.
Auth
Requires X-API-Key. Returns only orders owned by the key’s user.Authorizations
Query Parameters
Filter by order status
Available options:
pending, failed, settled, settled_unverified, refunded Filter by order type
Available options:
onramp, offramp Max rows per page
Required range:
1 <= x <= 200Rows to skip (for pagination)
Required range:
x >= 0Response
Orders fetched successfully
⌘I

